%define upstream_name	 Module-Refresh
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Refresh %INC files when the module is updated on disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is a generalization of the functionality provided by
Apache::StatINC. It's designed to make it easy to do simple iterative
development when working in a persistent environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml SIGNATURE
%{perl_vendorlib}/Module
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 369958
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 162242
- update to 0.17

* Tue Apr 19 2011 misc <misc> 0.160.0-1.mga1
+ Revision: 88744
- fix BRs

  + jquelin <jquelin>
    - update to 0.16

  + kharec <kharec>
    - little clean in spec

* Wed Apr 13 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 84339
- adding missing buildrequires:
- update to 0.14

* Tue Jan 18 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 22653
- cleaning spec file
- imported package perl-Module-Refresh

